FAQ
I have a simple program running under v0.6.12 that fetches a given URL
10 times using http.get:

https://gist.github.com/2191407

I've noticed that when http.globalAgent.maxSockets is set to 10 it
works fine. But if it is set lower I get a:

Error: Parse Error
at Socket.<anonymous> (http.js:1150:24)
at TCP.onread (net.js:354:27)

The script seems to work fine on other URLs , so I'm suspecting there
is something odd with the http server at hdl.loc.gov that is
triggering this. Possibly it's advertising http 1.1 and not actually
doing http 1.1? Any help and/or workarounds you could provide would be
appreciated.

//Ed

--
Job Board: http://jobs.nodejs.org/
Posting guidelines: https://github.com/joyent/node/wiki/Mailing-List-Posting-Guidelines
You received this message because you are subscribed to the Google
Groups "nodejs" group.
To post to this group, send email to nodejs@googlegroups.com
To unsubscribe from this group, send email to
nodejs+unsubscribe@googlegroups.com
For more options, visit this group at
http://groups.google.com/group/nodejs?hl=en?hl=en

Search Discussions

  • Mscdex at Mar 25, 2012 at 7:25 am

    On Mar 25, 1:07 am, Ed Summers wrote:
    The script seems to work fine on other URLs , so I'm suspecting there
    is something odd with the http server at hdl.loc.gov that is
    triggering this. Possibly it's advertising http 1.1 and not actually
    doing http 1.1? Any help and/or workarounds you could provide would be
    appreciated.
    Your script works just fine for me for any values of maxSockets (even
    1) on both Windows and Linux with node v0.6.14.

    --
    Job Board: http://jobs.nodejs.org/
    Posting guidelines: https://github.com/joyent/node/wiki/Mailing-List-Posting-Guidelines
    You received this message because you are subscribed to the Google
    Groups "nodejs" group.
    To post to this group, send email to nodejs@googlegroups.com
    To unsubscribe from this group, send email to
    nodejs+unsubscribe@googlegroups.com
    For more options, visit this group at
    http://groups.google.com/group/nodejs?hl=en?hl=en
  • Ed Summers at Mar 26, 2012 at 11:12 pm

    On Sunday, March 25, 2012 3:25:19 AM UTC-4, mscdex wrote:
    Your script works just fine for me for any values of maxSockets (even
    1) on both Windows and Linux with node v0.6.14.

    Thanks! I see that it works under v0.6.14 as well. I guess it was something
    that got fixed in Node.

    //Ed

    --
    Job Board: http://jobs.nodejs.org/
    Posting guidelines: https://github.com/joyent/node/wiki/Mailing-List-Posting-Guidelines
    You received this message because you are subscribed to the Google
    Groups "nodejs" group.
    To post to this group, send email to nodejs@googlegroups.com
    To unsubscribe from this group, send email to
    nodejs+unsubscribe@googlegroups.com
    For more options, visit this group at
    http://groups.google.com/group/nodejs?hl=en?hl=en

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupnodejs @
categoriesnodejs
postedMar 25, '12 at 5:51a
activeMar 26, '12 at 11:12p
posts3
users2
websitenodejs.org
irc#node.js

2 users in discussion

Ed Summers: 2 posts Mscdex: 1 post

People

Translate

site design / logo © 2017 Grokbase